public class DeweyLetterStrings 
{
  String[] DeweyNamesLong = 
  {
    "Computer science, knowledge & systems",
    "Bibliographies",
    "Library & information sciences",
    "Encyclopedias & books of facts",
    "No longer used",
    "Magazines, journals & serials",
    "Associations, organizations & museums",
    "News media, journalism & publishing",
    "General collections",
    "Manuscripts & rare books",
    "Philosophy",
    "Metaphysics",
    "Epistemology, causation, humankind",
    "Paranormal phenomena",
    "Specific philosophical schools",
    "Psychology",
    "Logic",
    "Ethics (Moral philosophy)",
    "Ancient, medieval, Oriental philosophy",
    "Modern Western philosophy",
    "Religion",
    "Natural theology",
    "Bible",
    "Christian theology",
    "Christian moral & devotional theology",
    "Christian orders & local church",
    "Christian social theology",
    "Christian church history",
    "Christian denominations & sects",
    "Other & comparative religions",
    "Social sciences, sociology & anthropology",
    "General statistics",
    "Political science",
    "Economics",
    "Law",
    "Public administration",
    "Social services; association",
    "Education",
    "Commerce, communications, transport",
    "Customs, etiquette, folklore",
    "Language",
    "Linguistics",
    "English & Old English",
    "Germanic languages; German",
    "Romance languages; French",
    "Italian, Romanian, Rhaeto-Romanic",
    "Spanish & Portuguese languages",
    "Italic languages; Latin",
    "Hellenic languages; Classical Greek",
    "Other languages",
    "Natural sciences & mathematics",
    "Mathematics",
    "Astronomy & allied sciences",
    "Physics",
    "Chemistry & allied sciences",
    "Earth sciences",
    "Paleontology",
    "Life sciences",
    "Botanical sciences/Plants",
    "Zoological sciences/Animals",
    "Technology",
    "Medical sciences; Medicine",
    "Engineering & Applied operations",
    "Agriculture",
    "Home economics & family living",
    "Management & auxiliary services",
    "Chemical engineering",
    "Manufacturing",
    "Manufacture for specific uses",
    "Buildings",
    "Arts",
    "Civic & landscape art",
    "Architecture",
    "Plastic arts; Sculpture",
    "Drawing & decorative arts",
    "Painting & paintings",
    "Graphic arts; Printmaking & prints",
    "Photography & photographs",
    "Music",
    "Recreational & performing arts",
    "Literature & rhetoric",
    "American literature in English",
    "English & Old English literatures",
    "Literatures of Germanic languages",
    "Literatures of Romance languages",
    "Italian, Romanian, Rhaeto-Romanic",
    "Spanish & Portuguese literatures",
    "Italic literatures; Latin",
    "Hellenic literatures; Classical Greek",
    "Literatures of other languages",
    "History & geography",
    "Geography & travel",
    "Biography, genealogy, insignia",
    "History of ancient world",
    "General history of Europe",
    "General history of Asia; Far East",
    "General history of Africa",
    "General history of North America",
    "General history of South America",
    "General history of other areas",
    "No Dewey"
  }; 
  
  String[] DeweyText = 
                       {"000  GEN","100  PHI","200  REL",
                        "300  SOC","400  LNG","500  SCI",
                        "600  TEC","700  ART","800  LIT",
                        "900  HIS","NA"};
  String[] LettersText = 
                         {"A","B","C","D","E","F","G","H","I","J","K","L","M",
                          "N","O","P","Q","R","S","T","U","V","W","X","Y","Z",
                          "0","1","2","3","4","5","6","7","8","9","?"};
  String[] DeweyInfoText = 
  {
    "000 to 009",
    "010 to 019",
    "020 to 029",
    "030 to 039",
    "040 to 049",
    "050 to 059",
    "060 to 069",
    "070 to 079",
    "080 to 089",
    "090 to 099",
    "100 to 109",
    "110 to 119",
    "120 to 129",
    "130 to 139",
    "140 to 149",
    "150 to 159",
    "160 to 169",
    "170 to 179",
    "180 to 189",
    "190 to 199",
    "200 to 209",
    "210 to 219",
    "220 to 229",
    "230 to 239",
    "240 to 249",
    "250 to 259",
    "260 to 269",
    "270 to 279",
    "280 to 289",
    "290 to 299",
    "300 to 309",
    "310 to 319",
    "320 to 329",
    "330 to 339",
    "340 to 349",
    "350 to 359",
    "360 to 369",
    "370 to 379",
    "380 to 389",
    "390 to 399",
    "400 to 409",
    "410 to 419",
    "420 to 429",
    "430 to 439",
    "440 to 449",
    "450 to 459",
    "460 to 469",
    "470 to 479",
    "480 to 489",
    "490 to 499",
    "500 to 509",
    "510 to 519",
    "520 to 529",
    "530 to 539",
    "540 to 549",
    "550 to 559",
    "560 to 569",
    "570 to 579",
    "580 to 589",
    "590 to 599",
    "600 to 609",
    "610 to 619",
    "620 to 629",
    "630 to 639",
    "640 to 649",
    "650 to 659",
    "660 to 669",
    "670 to 679",
    "680 to 689",
    "690 to 699",
    "700 to 709",
    "710 to 719",
    "720 to 729",
    "730 to 739",
    "740 to 749",
    "750 to 759",
    "760 to 769",
    "770 to 779",
    "780 to 789",
    "790 to 799",
    "800 to 809",
    "810 to 819",
    "820 to 829",
    "830 to 839",
    "840 to 849",
    "850 to 859",
    "860 to 869",
    "870 to 879",
    "880 to 889",
    "890 to 899",
    "900 to 909",
    "910 to 919",
    "920 to 929",
    "930 to 939",
    "940 to 949",
    "950 to 959",
    "960 to 969",
    "970 to 979",
    "980 to 989",
    "990 to 999",
    "No Dewey"
  };
 
   String getDeweyNamesLong(int i)
   {
     return DeweyNamesLong[i];
   }
   
   String getDeweyText(int i)
   {
     return DeweyText[i];
   }
   
   String getLettersText(int i)
   {
     return LettersText[i];
   }
   
   String getDeweyInfoText(int i)
   {
     return DeweyInfoText[i];
   }   
}
